import { Type, Base, IEnumerable$1 } from "./type";
import { ReadOnlyCollection$1 } from "./ReadOnlyCollection$1";
export declare abstract class ExpressionSyntax extends Base {
    static c(a: Type, b: string, c: Type[], ...d: ExpressionSyntax[]): MethodCallExpression;
    static a(a: ExpressionSyntax, ...b: ParameterExpression[]): LambdaExpression;
    static b(a: ExpressionSyntax, b: string): MemberExpression;
    static d(a: Type): ParameterExpression;
    static e(a: Type, b: string): ParameterExpression;
    static $t: Type;
}
export declare abstract class LambdaExpression extends ExpressionSyntax {
    static $t: Type;
}
export declare class MemberExpression extends ExpressionSyntax {
    f: ExpressionSyntax;
    g(a: ExpressionSyntax): MemberExpression;
    static $t: Type;
}
export declare class MethodCallExpression extends ExpressionSyntax {
    f: ReadOnlyCollection$1<ExpressionSyntax>;
    g: ExpressionSyntax;
    h(a: ExpressionSyntax, b: IEnumerable$1<ExpressionSyntax>): MethodCallExpression;
    static $t: Type;
}
export declare class ParameterExpression extends ExpressionSyntax {
    f: boolean;
    g: string;
    static $t: Type;
}
